﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.Core;
using WpfDotNetFramwork;
using Navigator;

namespace WindowsFormsApp18
{
    public partial class Form1 : Form
    {
        Timer InitTimer = new Timer();
        PointsFeatureLayer PointsLayer = null;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {

            MapView1.MapUnit = GeographyUnit.DecimalDegree;
            MapView1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.FromArgb(100,30,80,80));
            //OpenStreetMapOverlay osmOverlay1 = new OpenStreetMapOverlay();
            //MapView1.Overlays.Add("Open Street Map", osmOverlay1);

            //OpenStreetMapOverlay osmOverlay2 = new OpenStreetMapOverlay();
            //MapView2.Overlays.Add("Open Street Map", osmOverlay2);


            //// Create a new overlay that will hold our new layer and add it to the map.
            LayerOverlay parksOverlay = new LayerOverlay();


            GeoImage needleImage = new GeoImage(Application.StartupPath + "\\compass1_needle_letters_disc.png");
            //Gets the image for the frame of the compass that will stay fixed.

            GeoImage frameImage = new GeoImage(Application.StartupPath + "\\compass1_circle_digits.png");
            CompassAdornmentLayer compassAdornmentLayer = new CompassAdornmentLayer(needleImage, frameImage, Position.UpperLeft, 100);

            // parksOverlay.Layers.Add("MyCompassAdornmentLayer", compassAdornmentLayer);
            //parksOverlay.TileType = TileType.SingleTile;
            //winformsMap1.Overlays.Add("test", parksOverlay);
            MapView1.AdornmentOverlay.Layers.Add(compassAdornmentLayer);

            GoogleMapsZoomLevelSet googleMapZoomLevelSet = new GoogleMapsZoomLevelSet();
            MapView1.ZoomLevelSet = googleMapZoomLevelSet;
            double SavedInRegistryMap1Scale = MapView1.ZoomLevelSet.ZoomLevel18.Scale; // For example


            PointsLayer = new PointsFeatureLayer();
            PointsLayer.DrawingMarginInPixel = 256;
            PointsLayer.LoadPoints();
            PointsLayer.BuildIndex();
            LayerOverlay StaticOverlay = new LayerOverlay();
            StaticOverlay.Layers.Add("PointsLayer", PointsLayer);
            MapView1.Overlays.Add("StaticOverlay", StaticOverlay);
            MapView1.CurrentExtent = new RectangleShape(-97.0567306775773, 36.7713562273977, -97.056042791253, 36.7706683410734);
            //MapView1.CurrentExtent = MapUtil.ZoomToScale(SavedInRegistryMap1Scale, MapView1.CurrentExtent, GeographyUnit.DecimalDegree, MapView1.Width, MapView1.Height);

            MapView1.Refresh();
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            base.OnPaint(e);
            Bitmap CompassBmp = new Bitmap(Application.StartupPath + "\\compass1_needle_letters_disc.png");
            Bitmap DigitsBmp = new Bitmap(Application.StartupPath + "\\compass1_circle_digits.png");
            using (Graphics g = e.Graphics)
            {
                var p = new Pen(Color.Black, 3);
                g.DrawImage(CompassBmp, 0, 0);
                g.DrawImage(DigitsBmp, 0, 0);
            }
        }


    }
}
